About Open Note Scanner
=======================

**© 20XX [Claudemir Todo Bom](http://todobom.com)**

This application provides a quick way to scan and store hand written notes and arts, and also shopping receipts and other documents. It also supports automatic capture of images on a [pre-formatted page](https://github.com/ctodobom/OpenNoteScanner/raw/master/Page%20Templates/A4%20with%202%20pages.pdf).


License
-------

This application is made available through the [GNU General Public License version 3](http://www.gnu.org/licenses/gpl.txt). Source code is [available on GitHub](http://github.com/ctodobom/OpenNoteScanner).

Donations
---------

Making Android applications is not my main job, I made this application out of curiosity and because there are dozens of apps with similar objectives but none of them is open source.

If you think that this application or any of my contributions is worth some money and you are willing to pay for it, please feel free to make any donation through Paypal, Bitcoin or Dogecoin.

[Donate through Paypal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=X6XHVCPMRQEL4)

**ATTENTION:** Link to cryptocoins works only if you have the app for that coin installed!

[Donate through Bitcoin](bitcoin:1H5tqKZoWdqkR54PGe9w67EzBnLXHBFmt9)

[Donate through Dogecoin](dogecoin:DFBaP724XR3rfs9wFahBd353yFkgkqatvd)


Third party parts and requirements
----------------------------------

Binary builds include code from these external projects:

* [OpenCV Library for Android](http://www.opencv.org)
* [MarkdownView from Feras Alnatsheh](https://github.com/falnatsheh/MarkdownView)
* [TouchImageView from Mike Ortiz](https://github.com/MikeOrtiz/TouchImageView)
* [Drag Select Recycler View](https://github.com/afollestad/drag-select-recyclerview)
* [Android Universal Image Loader from Sergey Tarasevich](https://github.com/nostra13/Android-Universal-Image-Loader)

Thanks
------

### Contributors

As an open source application, contribution are always welcome.

Most translations contributions are listed on [CONTRIBUTORS.md file](https://github.com/ctodobom/OpenNoteScanner/blob/master/CONTRIBUTORS.md) and code contributors are listed on [the Changelog file](https://github.com/ctodobom/OpenNoteScanner/blob/master/CHANGELOG.md) and [the commits history](https://github.com/ctodobom/OpenNoteScanner/commits)

Other people helped submitting [Issue Reports](https://github.com/ctodobom/OpenNoteScanner/issues) and giving info through the [Telegram Group](https://telegram.me/joinchat/CGzsxQgjl8CyAZNrTG0qZg). Their help is appreciated as well.

### External code

This application wouldn't be possible without the great material produced by the community. I would like to give special thanks to the authors of essencial parts I've got on the internet and used in the code:

* [Android-er / GridView code sample](http://android-er.blogspot.com.br/2012/07/gridview-loading-photos-from-sd-card.html)
* [Android Hive / Full Screen Image pager](http://www.androidhive.info/2013/09/android-fullscreen-image-slider-with-swipe-and-pinch-zoom-gestures/)
* [Adrian Rosebrock from pyimagesearch.com for the excellent tutorial on how to handle the images](http://www.pyimagesearch.com/2014/09/01/build-kick-ass-mobile-document-scanner-just-5-minutes/)
* [Gabriele Mariotti / On how to implement sections in the RecyclerView](https://gist.github.com/gabrielemariotti/e81e126227f8a4bb339c)
